petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscFEIntegrate

Produce the integral for the given field for a chunk of elements by quadrature integration

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEIntegrate(PetscFE fem, PetscDS prob, PetscInt field, PetscInt Ne, PetscFECellGeom *geom,
                                    const PetscScalar coefficients[], PetscDS probAux, const PetscScalar coefficientsAux[], PetscReal integral[])

Not collective Many br

### Input Parameters

| fem | - The PetscFE object for the field being integrated Many br
| prob | - The PetscDS specifying the discretizations and continuum functions Many br
| field | - The field being integrated Many br
| Ne | - The number of elements in the chunk Many br
| geom | - The cell geometry for each cell in the chunk Many br
| coefficients | - The array of FEM basis coefficients for the elements Many br
| probAux | - The PetscDS specifying the auxiliary discretizations Many br
| coefficientsAux | - The array of FEM auxiliary basis coefficients for the elements Many br

Output Parameter Many br

integral -the integral for this field Many br

Many br

### See Also

PetscFEIntegrateResidual()

Level:developer
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages